# MYP - Manage Your Printer

MYP (Manage Your Printer) ist eine Webanwendung zur Reservierung von 3D-Druckern.
Sie wurde im Rahmen des Abschlussprojektes der Fachinformatiker Ausbildung für Daten- und Prozessanalyse für die Technische Berufsausbildung des Mercedes-Benz Werkes Berlin-Marienfelde entwickelt.

## Deployment

### Voraussetzungen

- Netzwerk auf Raspberry Pi ist eingerichtet
- Docker ist installiert

### Schritte

1. Docker-Container bauen (docker/build.sh)
2. Docker-Container speichern (docker/save.sh caddy:2.8 myp-rp:latest)
3. Docker-Container auf Raspberry Pi bereitstellen (docker/deploy.sh)

## Entwicklerinformationen

### Raspberry Pi Einstellungen

Auf dem Raspberry Pi wurde Raspbian Lite installiert.
Unter /srv/* sind die Projektdateien zu finden.

### Anmeldedaten

```
Benutzer: myp
Passwort: (persönlich bekannt)
```

